export declare enum CronTypes {
    Default = 0,
    Quartz = 1
}
export declare class CronFrequency {
    Base: any;
    DayValues: any;
    DayOfMonthValues: any;
    HourValues: any;
    MinuteValues: any;
    MonthValues: any;
}
export declare class CronOptions {
    AllowMinute: boolean;
    AllowHour: boolean;
    AllowDay: boolean;
    AllowWeek: boolean;
    AllowMonth: boolean;
    AllowYear: boolean;
}
export declare var BaseFrequency: {
    minute: number;
    hour: number;
    day: number;
    week: number;
    month: number;
    year: number;
};
export declare class CronTimerService {
    constructor();
    FromCron(value: any, allowMultiple: boolean, cronType: CronTypes): CronFrequency;
    SetCron(n: any, cronType: CronTypes): string;
    protected fromDefaultCron(value: string, allowMultiple: boolean): CronFrequency;
    protected fromQuartzCron(value: string, allowMultiple: boolean): CronFrequency;
    protected setDefaultCron(n: CronFrequency): string;
    protected setQuartzCron(n: CronFrequency): string;
}
